﻿--[[

	cmd_ascii_0.2 by pulsar

	Version: Luadch LUA 5.1x
		- ASCII Script zum Senden von Bildern in den Main

]]--


--[SETTINGS]

local cmd = "ascii"  --> Befehl
local min_level = 20  --> ab welchem Level dürfen User Bilder schicken


--[CODE]

local scriptname = "cmd_ascii"
local utf_match = utf.match
local lang, err = cfg.loadlanguage(cfg.get"language", scriptname); err = err and hub.debug(err)

hub:setListener("onStart", {},
    function()
        local help = hub.import"cmd_help"
        if help then
            local tmp = {}
            for opt,_ in pairs(lang.pics) do
                table.insert(tmp, opt)
                table.sort(tmp)
            end
            local list = table.concat(tmp, ", ")
            help.reg(lang.help_title, lang.help_usage, lang.help_desc .. list, min_level)
        end
        local ucmd = hub.import"etc_usercommands"
        if ucmd then
            local menu = lang.ucmd_menu
            local tmp = {}
            for opt,_ in pairs(lang.pics) do
                table.insert(tmp, opt)
            end
            table.sort(tmp)
            for i,opt in pairs(tmp) do
                menu[#menu + 1] = opt
                ucmd.add(menu, cmd, {opt}, {"CT1"}, min_level)
                menu[#menu] = nil
                table.remove(menu, 1)
            end
        end
        return nil
    end
)

hub:setListener("onBroadcast", {},
    function(user, adccmd, txt)
        local command, opt = utf_match(txt, "^[+!#](%a+) (.+)")
        if command == cmd then
            if user:getLevel() >= min_level then
                if lang.pics[opt] then
                    hub.broadcast(lang.pics[opt](hub.escapefrom(user:getNick())), hub.getbot())
                    return PROCESSED
                else
                    user:reply(lang.help_err, hub.getbot())
                    return PROCESSED
                end
            end
        end
        return nil
    end
)

hub.debug("** Loaded "..scriptname..".lua **")